Subject: bug#78173: closed (Re: Duplicate package r-r4rna)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Aug 2025 16:34:03 +0000

Your bug report

#78173: Duplicate package r-r4rna

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78173: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78173
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Duplicate package r-r4rna
From: Andreas Enge <[email-masked]>
To: "nomike (they/them)" <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Aug 2025 18:32:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Thu, May 01, 2025 at 06:06:35AM +0200 schrieb nomike (they/them):
> I just found out, that the package r-r4rna is defined twice:
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/bioconductor.scm#n10119
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/bioinformatics.scm#n15070

Good catch! I have removed one of them, thanks.

Andreas

Subject: Duplicate package r-r4rna
From: "nomike (they/them)" <[email-masked]>
To: [email-masked]
Date: Thu, 1 May 2025 06:06:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I just found out, that the package r-r4rna is defined twice:

https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/bioconductor.scm#n10119
https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/bioinformatics.scm#n15070

It's different versions, but we probably want to either have only one, 
or have them in one file with different variable names.

Cheers

nomike